"""devicons lib."""

from ...base import BaseSprite


class Devicons(BaseSprite):
    """Библиотека спрайтов."""

    def include_statements_for_sprite(self) -> set[str]:
        """Возвращает include для спрайтов."""
        return {
            "!include <tupadr3/common>",
            "!include <tupadr3/devicons/{0}>".format(self.value),
        }

    android = "android"
    angular = "angular"
    appcelerator = "appcelerator"
    apple = "apple"
    appstore = "appstore"
    aptana = "aptana"
    asterisk = "asterisk"
    atlassian = "atlassian"
    atom = "atom"
    aws = "aws"
    backbone = "backbone"
    bing_small = "bing_small"
    bintray = "bintray"
    bitbucket = "bitbucket"
    blackberry = "blackberry"
    bootstrap = "bootstrap"
    bower = "bower"
    brackets = "brackets"
    bugsense = "bugsense"
    celluloid = "celluloid"
    chrome = "chrome"
    cisco = "cisco"
    clojure = "clojure"
    clojure_alt = "clojure_alt"
    cloud9 = "cloud9"
    coda = "coda"
    code = "code"
    code_badge = "code_badge"
    codeigniter = "codeigniter"
    codepen = "codepen"
    codrops = "codrops"
    coffeescript = "coffeescript"
    compass = "compass"
    composer = "composer"
    creativecommons = "creativecommons"
    creativecommons_badge = "creativecommons_badge"
    css3 = "css3"
    css3_full = "css3_full"
    css_tricks = "css_tricks"
    cssdeck = "cssdeck"
    dart = "dart"
    database = "database"
    debian = "debian"
    digital_ocean = "digital_ocean"
    django = "django"
    dlang = "dlang"
    docker = "docker"
    doctrine = "doctrine"
    dojo = "dojo"
    dotnet = "dotnet"
    dreamweaver = "dreamweaver"
    dropbox = "dropbox"
    drupal = "drupal"
    eclipse = "eclipse"
    ember = "ember"
    envato = "envato"
    erlang = "erlang"
    extjs = "extjs"
    firebase = "firebase"
    firefox = "firefox"
    fsharp = "fsharp"
    ghost = "ghost"
    ghost_small = "ghost_small"
    git = "git"
    git_branch = "git_branch"
    git_commit = "git_commit"
    git_compare = "git_compare"
    git_merge = "git_merge"
    git_pull_request = "git_pull_request"
    github = "github"
    github_alt = "github_alt"
    github_badge = "github_badge"
    github_full = "github_full"
    gnu = "gnu"
    go = "go"
    google_analytics = "google_analytics"
    google_cloud_platform = "google_cloud_platform"
    google_drive = "google_drive"
    grails = "grails"
    groovy = "groovy"
    grunt = "grunt"
    gulp = "gulp"
    hackernews = "hackernews"
    haskell = "haskell"
    heroku = "heroku"
    html5 = "html5"
    html5_3d_effects = "html5_3d_effects"
    html5_connectivity = "html5_connectivity"
    html5_device_access = "html5_device_access"
    html5_multimedia = "html5_multimedia"
    ie = "ie"
    illustrator = "illustrator"
    index = "index"
    intellij = "intellij"
    ionic = "ionic"
    java = "java"
    javascript = "javascript"
    javascript_badge = "javascript_badge"
    javascript_shield = "javascript_shield"
    jekyll_small = "jekyll_small"
    jenkins = "jenkins"
    jira = "jira"
    joomla = "joomla"
    jquery = "jquery"
    jquery_ui = "jquery_ui"
    komodo = "komodo"
    krakenjs = "krakenjs"
    krakenjs_badge = "krakenjs_badge"
    laravel = "laravel"
    less = "less"
    linux = "linux"
    magento = "magento"
    mailchimp = "mailchimp"
    markdown = "markdown"
    materializecss = "materializecss"
    meteor = "meteor"
    meteorfull = "meteorfull"
    mitlicence = "mitlicence"
    modernizr = "modernizr"
    mongodb = "mongodb"
    mootools = "mootools"
    mootools_badge = "mootools_badge"
    mozilla = "mozilla"
    msql_server = "msql_server"
    mysql = "mysql"
    nancy = "nancy"
    netbeans = "netbeans"
    netmagazine = "netmagazine"
    nginx = "nginx"
    nodejs = "nodejs"
    nodejs_small = "nodejs_small"
    npm = "npm"
    onedrive = "onedrive"
    openshift = "openshift"
    opensource = "opensource"
    opera = "opera"
    perl = "perl"
    phonegap = "phonegap"
    photoshop = "photoshop"
    php = "php"
    postgresql = "postgresql"
    prolog = "prolog"
    python = "python"
    rackspace = "rackspace"
    raphael = "raphael"
    raspberry_pi = "raspberry_pi"
    react = "react"
    redhat = "redhat"
    redis = "redis"
    requirejs = "requirejs"
    responsive = "responsive"
    ruby = "ruby"
    ruby_on_rails = "ruby_on_rails"
    ruby_rough = "ruby_rough"
    rust = "rust"
    safari = "safari"
    sass = "sass"
    scala = "scala"
    scriptcs = "scriptcs"
    scrum = "scrum"
    senchatouch = "senchatouch"
    sizzlejs = "sizzlejs"
    smashing_magazine = "smashing_magazine"
    snap_svg = "snap_svg"
    sqllite = "sqllite"
    stackoverflow = "stackoverflow"
    streamline = "streamline"
    stylus = "stylus"
    sublime = "sublime"
    swift = "swift"
    symfony = "symfony"
    symfony_badge = "symfony_badge"
    techcrunch = "techcrunch"
    terminal = "terminal"
    terminal_badge = "terminal_badge"
    travis = "travis"
    trello = "trello"
    typo3 = "typo3"
    ubuntu = "ubuntu"
    uikit = "uikit"
    unity_small = "unity_small"
    vim = "vim"
    visualstudio = "visualstudio"
    w3c = "w3c"
    webplatform = "webplatform"
    windows = "windows"
    wordpress = "wordpress"
    yahoo = "yahoo"
    yahoo_small = "yahoo_small"
    yeoman = "yeoman"
    yii = "yii"
    zend = "zend"
