"""devicons lib."""

from ...base import BaseSprite


class FontAwesome5(BaseSprite):
    """Библиотека спрайтов."""

    def include_statements_for_sprite(self) -> set[str]:
        """Возвращает include для спрайтов."""
        return {
            "!include <tupadr3/common>",
            "!include <tupadr3/font-awesome-5/{0}>".format(self.value),
        }

    _500px = "500px"
    accessible_icon = "accessible_icon"
    accusoft = "accusoft"
    acquisitions_incorporated = "acquisitions_incorporated"
    ad = "ad"
    address_book = "address_book"
    address_card = "address_card"
    adjust = "adjust"
    adn = "adn"
    adversal = "adversal"
    affiliatetheme = "affiliatetheme"
    air_freshener = "air_freshener"
    airbnb = "airbnb"
    algolia = "algolia"
    align_center = "align_center"
    align_justify = "align_justify"
    align_left = "align_left"
    align_right = "align_right"
    alipay = "alipay"
    allergies = "allergies"
    amazon = "amazon"
    amazon_pay = "amazon_pay"
    ambulance = "ambulance"
    american_sign_language_interpreting = "american_sign_language_interpreting"
    amilia = "amilia"
    anchor = "anchor"
    android = "android"
    angellist = "angellist"
    angle_double_down = "angle_double_down"
    angle_double_left = "angle_double_left"
    angle_double_right = "angle_double_right"
    angle_double_up = "angle_double_up"
    angle_down = "angle_down"
    angle_left = "angle_left"
    angle_right = "angle_right"
    angle_up = "angle_up"
    angry = "angry"
    angrycreative = "angrycreative"
    angular = "angular"
    ankh = "ankh"
    app_store = "app_store"
    app_store_ios = "app_store_ios"
    apper = "apper"
    apple = "apple"
    apple_alt = "apple_alt"
    apple_pay = "apple_pay"
    archive = "archive"
    archway = "archway"
    arrow_alt_circle_down = "arrow_alt_circle_down"
    arrow_alt_circle_left = "arrow_alt_circle_left"
    arrow_alt_circle_right = "arrow_alt_circle_right"
    arrow_alt_circle_up = "arrow_alt_circle_up"
    arrow_circle_down = "arrow_circle_down"
    arrow_circle_left = "arrow_circle_left"
    arrow_circle_right = "arrow_circle_right"
    arrow_circle_up = "arrow_circle_up"
    arrow_down = "arrow_down"
    arrow_left = "arrow_left"
    arrow_right = "arrow_right"
    arrow_up = "arrow_up"
    arrows_alt = "arrows_alt"
    arrows_alt_h = "arrows_alt_h"
    arrows_alt_v = "arrows_alt_v"
    artstation = "artstation"
    assistive_listening_systems = "assistive_listening_systems"
    asterisk = "asterisk"
    asymmetrik = "asymmetrik"
    at = "at"
    atlas = "atlas"
    atlassian = "atlassian"
    atom = "atom"
    audible = "audible"
    audio_description = "audio_description"
    autoprefixer = "autoprefixer"
    avianex = "avianex"
    aviato = "aviato"
    award = "award"
    aws = "aws"
    baby = "baby"
    baby_carriage = "baby_carriage"
    backspace = "backspace"
    backward = "backward"
    bacon = "bacon"
    bacteria = "bacteria"
    bacterium = "bacterium"
    bahai = "bahai"
    balance_scale = "balance_scale"
    balance_scale_left = "balance_scale_left"
    balance_scale_right = "balance_scale_right"
    ban = "ban"
    band_aid = "band_aid"
    bandcamp = "bandcamp"
    barcode = "barcode"
    bars = "bars"
    baseball_ball = "baseball_ball"
    basketball_ball = "basketball_ball"
    bath = "bath"
    battery_empty = "battery_empty"
    battery_full = "battery_full"
    battery_half = "battery_half"
    battery_quarter = "battery_quarter"
    battery_three_quarters = "battery_three_quarters"
    battle_net = "battle_net"
    bed = "bed"
    beer = "beer"
    behance = "behance"
    behance_square = "behance_square"
    bell = "bell"
    bell_slash = "bell_slash"
    bezier_curve = "bezier_curve"
    bible = "bible"
    bicycle = "bicycle"
    biking = "biking"
    bimobject = "bimobject"
    binoculars = "binoculars"
    biohazard = "biohazard"
    birthday_cake = "birthday_cake"
    bitbucket = "bitbucket"
    bitcoin = "bitcoin"
    bity = "bity"
    black_tie = "black_tie"
    blackberry = "blackberry"
    blender = "blender"
    blender_phone = "blender_phone"
    blind = "blind"
    blog = "blog"
    blogger = "blogger"
    blogger_b = "blogger_b"
    bluetooth = "bluetooth"
    bluetooth_b = "bluetooth_b"
    bold = "bold"
    bolt = "bolt"
    bomb = "bomb"
    bone = "bone"
    bong = "bong"
    book = "book"
    book_dead = "book_dead"
    book_medical = "book_medical"
    book_open = "book_open"
    book_reader = "book_reader"
    bookmark = "bookmark"
    bootstrap = "bootstrap"
    border_all = "border_all"
    border_none = "border_none"
    border_style = "border_style"
    bowling_ball = "bowling_ball"
    box = "box"
    box_open = "box_open"
    box_tissue = "box_tissue"
    boxes = "boxes"
    braille = "braille"
    brain = "brain"
    bread_slice = "bread_slice"
    briefcase = "briefcase"
    briefcase_medical = "briefcase_medical"
    broadcast_tower = "broadcast_tower"
    broom = "broom"
    brush = "brush"
    btc = "btc"
    buffer = "buffer"
    bug = "bug"
    building = "building"
    bullhorn = "bullhorn"
    bullseye = "bullseye"
    burn = "burn"
    buromobelexperte = "buromobelexperte"
    bus = "bus"
    bus_alt = "bus_alt"
    business_time = "business_time"
    buy_n_large = "buy_n_large"
    buysellads = "buysellads"
    calculator = "calculator"
    calendar = "calendar"
    calendar_alt = "calendar_alt"
    calendar_check = "calendar_check"
    calendar_day = "calendar_day"
    calendar_minus = "calendar_minus"
    calendar_plus = "calendar_plus"
    calendar_times = "calendar_times"
    calendar_week = "calendar_week"
    camera = "camera"
    camera_retro = "camera_retro"
    campground = "campground"
    canadian_maple_leaf = "canadian_maple_leaf"
    candy_cane = "candy_cane"
    cannabis = "cannabis"
    capsules = "capsules"
    car = "car"
    car_alt = "car_alt"
    car_battery = "car_battery"
    car_crash = "car_crash"
    car_side = "car_side"
    caravan = "caravan"
    caret_down = "caret_down"
    caret_left = "caret_left"
    caret_right = "caret_right"
    caret_square_down = "caret_square_down"
    caret_square_left = "caret_square_left"
    caret_square_right = "caret_square_right"
    caret_square_up = "caret_square_up"
    caret_up = "caret_up"
    carrot = "carrot"
    cart_arrow_down = "cart_arrow_down"
    cart_plus = "cart_plus"
    cash_register = "cash_register"
    cat = "cat"
    cc_amazon_pay = "cc_amazon_pay"
    cc_amex = "cc_amex"
    cc_apple_pay = "cc_apple_pay"
    cc_diners_club = "cc_diners_club"
    cc_discover = "cc_discover"
    cc_jcb = "cc_jcb"
    cc_mastercard = "cc_mastercard"
    cc_paypal = "cc_paypal"
    cc_stripe = "cc_stripe"
    cc_visa = "cc_visa"
    centercode = "centercode"
    centos = "centos"
    certificate = "certificate"
    chair = "chair"
    chalkboard = "chalkboard"
    chalkboard_teacher = "chalkboard_teacher"
    charging_station = "charging_station"
    chart_area = "chart_area"
    chart_bar = "chart_bar"
    chart_line = "chart_line"
    chart_pie = "chart_pie"
    check = "check"
    check_circle = "check_circle"
    check_double = "check_double"
    check_square = "check_square"
    cheese = "cheese"
    chess = "chess"
    chess_bishop = "chess_bishop"
    chess_board = "chess_board"
    chess_king = "chess_king"
    chess_knight = "chess_knight"
    chess_pawn = "chess_pawn"
    chess_queen = "chess_queen"
    chess_rook = "chess_rook"
    chevron_circle_down = "chevron_circle_down"
    chevron_circle_left = "chevron_circle_left"
    chevron_circle_right = "chevron_circle_right"
    chevron_circle_up = "chevron_circle_up"
    chevron_down = "chevron_down"
    chevron_left = "chevron_left"
    chevron_right = "chevron_right"
    chevron_up = "chevron_up"
    child = "child"
    chrome = "chrome"
    chromecast = "chromecast"
    church = "church"
    circle = "circle"
    circle_notch = "circle_notch"
    city = "city"
    clinic_medical = "clinic_medical"
    clipboard = "clipboard"
    clipboard_check = "clipboard_check"
    clipboard_list = "clipboard_list"
    clock = "clock"
    clone = "clone"
    closed_captioning = "closed_captioning"
    cloud = "cloud"
    cloud_download_alt = "cloud_download_alt"
    cloud_meatball = "cloud_meatball"
    cloud_moon = "cloud_moon"
    cloud_moon_rain = "cloud_moon_rain"
    cloud_rain = "cloud_rain"
    cloud_showers_heavy = "cloud_showers_heavy"
    cloud_sun = "cloud_sun"
    cloud_sun_rain = "cloud_sun_rain"
    cloud_upload_alt = "cloud_upload_alt"
    cloudflare = "cloudflare"
    cloudscale = "cloudscale"
    cloudsmith = "cloudsmith"
    cloudversify = "cloudversify"
    cocktail = "cocktail"
    code = "code"
    code_branch = "code_branch"
    codepen = "codepen"
    codiepie = "codiepie"
    coffee = "coffee"
    cog = "cog"
    cogs = "cogs"
    coins = "coins"
    columns = "columns"
    comment = "comment"
    comment_alt = "comment_alt"
    comment_dollar = "comment_dollar"
    comment_dots = "comment_dots"
    comment_medical = "comment_medical"
    comment_slash = "comment_slash"
    comments = "comments"
    comments_dollar = "comments_dollar"
    compact_disc = "compact_disc"
    compass = "compass"
    compress = "compress"
    compress_alt = "compress_alt"
    compress_arrows_alt = "compress_arrows_alt"
    concierge_bell = "concierge_bell"
    confluence = "confluence"
    connectdevelop = "connectdevelop"
    contao = "contao"
    cookie = "cookie"
    cookie_bite = "cookie_bite"
    copy = "copy"
    copyright = "copyright"
    cotton_bureau = "cotton_bureau"
    couch = "couch"
    cpanel = "cpanel"
    creative_commons = "creative_commons"
    creative_commons_by = "creative_commons_by"
    creative_commons_nc = "creative_commons_nc"
    creative_commons_nc_eu = "creative_commons_nc_eu"
    creative_commons_nc_jp = "creative_commons_nc_jp"
    creative_commons_nd = "creative_commons_nd"
    creative_commons_pd = "creative_commons_pd"
    creative_commons_pd_alt = "creative_commons_pd_alt"
    creative_commons_remix = "creative_commons_remix"
    creative_commons_sa = "creative_commons_sa"
    creative_commons_sampling = "creative_commons_sampling"
    creative_commons_sampling_plus = "creative_commons_sampling_plus"
    creative_commons_share = "creative_commons_share"
    creative_commons_zero = "creative_commons_zero"
    credit_card = "credit_card"
    critical_role = "critical_role"
    crop = "crop"
    crop_alt = "crop_alt"
    cross = "cross"
    crosshairs = "crosshairs"
    crow = "crow"
    crown = "crown"
    crutch = "crutch"
    css3 = "css3"
    css3_alt = "css3_alt"
    cube = "cube"
    cubes = "cubes"
    cut = "cut"
    cuttlefish = "cuttlefish"
    d_and_d = "d_and_d"
    d_and_d_beyond = "d_and_d_beyond"
    dailymotion = "dailymotion"
    dashcube = "dashcube"
    database = "database"
    deaf = "deaf"
    deezer = "deezer"
    delicious = "delicious"
    democrat = "democrat"
    deploydog = "deploydog"
    deskpro = "deskpro"
    desktop = "desktop"
    dev = "dev"
    deviantart = "deviantart"
    dharmachakra = "dharmachakra"
    dhl = "dhl"
    diagnoses = "diagnoses"
    diaspora = "diaspora"
    dice = "dice"
    dice_d20 = "dice_d20"
    dice_d6 = "dice_d6"
    dice_five = "dice_five"
    dice_four = "dice_four"
    dice_one = "dice_one"
    dice_six = "dice_six"
    dice_three = "dice_three"
    dice_two = "dice_two"
    digg = "digg"
    digital_ocean = "digital_ocean"
    digital_tachograph = "digital_tachograph"
    directions = "directions"
    discord = "discord"
    discourse = "discourse"
    disease = "disease"
    divide = "divide"
    dizzy = "dizzy"
    dna = "dna"
    dochub = "dochub"
    docker = "docker"
    dog = "dog"
    dollar_sign = "dollar_sign"
    dolly = "dolly"
    dolly_flatbed = "dolly_flatbed"
    donate = "donate"
    door_closed = "door_closed"
    door_open = "door_open"
    dot_circle = "dot_circle"
    dove = "dove"
    download = "download"
    draft2digital = "draft2digital"
    drafting_compass = "drafting_compass"
    dragon = "dragon"
    draw_polygon = "draw_polygon"
    dribbble = "dribbble"
    dribbble_square = "dribbble_square"
    dropbox = "dropbox"
    drum = "drum"
    drum_steelpan = "drum_steelpan"
    drumstick_bite = "drumstick_bite"
    drupal = "drupal"
    dumbbell = "dumbbell"
    dumpster = "dumpster"
    dumpster_fire = "dumpster_fire"
    dungeon = "dungeon"
    dyalog = "dyalog"
    earlybirds = "earlybirds"
    ebay = "ebay"
    edge = "edge"
    edge_legacy = "edge_legacy"
    edit = "edit"
    egg = "egg"
    eject = "eject"
    elementor = "elementor"
    ellipsis_h = "ellipsis_h"
    ellipsis_v = "ellipsis_v"
    ello = "ello"
    ember = "ember"
    empire = "empire"
    envelope = "envelope"
    envelope_open = "envelope_open"
    envelope_open_text = "envelope_open_text"
    envelope_square = "envelope_square"
    envira = "envira"
    equals = "equals"
    eraser = "eraser"
    erlang = "erlang"
    ethereum = "ethereum"
    ethernet = "ethernet"
    etsy = "etsy"
    euro_sign = "euro_sign"
    evernote = "evernote"
    exchange_alt = "exchange_alt"
    exclamation = "exclamation"
    exclamation_circle = "exclamation_circle"
    exclamation_triangle = "exclamation_triangle"
    expand = "expand"
    expand_alt = "expand_alt"
    expand_arrows_alt = "expand_arrows_alt"
    expeditedssl = "expeditedssl"
    external_link_alt = "external_link_alt"
    external_link_square_alt = "external_link_square_alt"
    eye = "eye"
    eye_dropper = "eye_dropper"
    eye_slash = "eye_slash"
    facebook = "facebook"
    facebook_f = "facebook_f"
    facebook_messenger = "facebook_messenger"
    facebook_square = "facebook_square"
    fan = "fan"
    fantasy_flight_games = "fantasy_flight_games"
    fast_backward = "fast_backward"
    fast_forward = "fast_forward"
    faucet = "faucet"
    fax = "fax"
    feather = "feather"
    feather_alt = "feather_alt"
    fedex = "fedex"
    fedora = "fedora"
    female = "female"
    fighter_jet = "fighter_jet"
    figma = "figma"
    file = "file"
    file_alt = "file_alt"
    file_archive = "file_archive"
    file_audio = "file_audio"
    file_code = "file_code"
    file_contract = "file_contract"
    file_csv = "file_csv"
    file_download = "file_download"
    file_excel = "file_excel"
    file_export = "file_export"
    file_image = "file_image"
    file_import = "file_import"
    file_invoice = "file_invoice"
    file_invoice_dollar = "file_invoice_dollar"
    file_medical = "file_medical"
    file_medical_alt = "file_medical_alt"
    file_pdf = "file_pdf"
    file_powerpoint = "file_powerpoint"
    file_prescription = "file_prescription"
    file_signature = "file_signature"
    file_upload = "file_upload"
    file_video = "file_video"
    file_word = "file_word"
    fill = "fill"
    fill_drip = "fill_drip"
    film = "film"
    filter = "filter"
    fingerprint = "fingerprint"
    fire = "fire"
    fire_alt = "fire_alt"
    fire_extinguisher = "fire_extinguisher"
    firefox = "firefox"
    firefox_browser = "firefox_browser"
    first_aid = "first_aid"
    first_order = "first_order"
    first_order_alt = "first_order_alt"
    firstdraft = "firstdraft"
    fish = "fish"
    fist_raised = "fist_raised"
    flag = "flag"
    flag_checkered = "flag_checkered"
    flag_usa = "flag_usa"
    flask = "flask"
    flickr = "flickr"
    flipboard = "flipboard"
    flushed = "flushed"
    fly = "fly"
    folder = "folder"
    folder_minus = "folder_minus"
    folder_open = "folder_open"
    folder_plus = "folder_plus"
    font = "font"
    font_awesome = "font_awesome"
    font_awesome_alt = "font_awesome_alt"
    font_awesome_flag = "font_awesome_flag"
    fonticons = "fonticons"
    fonticons_fi = "fonticons_fi"
    football_ball = "football_ball"
    fort_awesome = "fort_awesome"
    fort_awesome_alt = "fort_awesome_alt"
    forumbee = "forumbee"
    forward = "forward"
    foursquare = "foursquare"
    free_code_camp = "free_code_camp"
    freebsd = "freebsd"
    frog = "frog"
    frown = "frown"
    frown_open = "frown_open"
    fulcrum = "fulcrum"
    funnel_dollar = "funnel_dollar"
    futbol = "futbol"
    galactic_republic = "galactic_republic"
    galactic_senate = "galactic_senate"
    gamepad = "gamepad"
    gas_pump = "gas_pump"
    gavel = "gavel"
    gem = "gem"
    genderless = "genderless"
    get_pocket = "get_pocket"
    gg = "gg"
    gg_circle = "gg_circle"
    ghost = "ghost"
    gift = "gift"
    gifts = "gifts"
    git = "git"
    git_alt = "git_alt"
    git_square = "git_square"
    github = "github"
    github_alt = "github_alt"
    github_square = "github_square"
    gitkraken = "gitkraken"
    gitlab = "gitlab"
    gitter = "gitter"
    glass_cheers = "glass_cheers"
    glass_martini = "glass_martini"
    glass_martini_alt = "glass_martini_alt"
    glass_whiskey = "glass_whiskey"
    glasses = "glasses"
    glide = "glide"
    glide_g = "glide_g"
    globe = "globe"
    globe_africa = "globe_africa"
    globe_americas = "globe_americas"
    globe_asia = "globe_asia"
    globe_europe = "globe_europe"
    gofore = "gofore"
    golf_ball = "golf_ball"
    goodreads = "goodreads"
    goodreads_g = "goodreads_g"
    google = "google"
    google_drive = "google_drive"
    google_pay = "google_pay"
    google_play = "google_play"
    google_plus = "google_plus"
    google_plus_g = "google_plus_g"
    google_plus_square = "google_plus_square"
    google_wallet = "google_wallet"
    gopuram = "gopuram"
    graduation_cap = "graduation_cap"
    gratipay = "gratipay"
    grav = "grav"
    greater_than = "greater_than"
    greater_than_equal = "greater_than_equal"
    grimace = "grimace"
    grin = "grin"
    grin_alt = "grin_alt"
    grin_beam = "grin_beam"
    grin_beam_sweat = "grin_beam_sweat"
    grin_hearts = "grin_hearts"
    grin_squint = "grin_squint"
    grin_squint_tears = "grin_squint_tears"
    grin_stars = "grin_stars"
    grin_tears = "grin_tears"
    grin_tongue = "grin_tongue"
    grin_tongue_squint = "grin_tongue_squint"
    grin_tongue_wink = "grin_tongue_wink"
    grin_wink = "grin_wink"
    grip_horizontal = "grip_horizontal"
    grip_lines = "grip_lines"
    grip_lines_vertical = "grip_lines_vertical"
    grip_vertical = "grip_vertical"
    gripfire = "gripfire"
    grunt = "grunt"
    guilded = "guilded"
    guitar = "guitar"
    gulp = "gulp"
    h_square = "h_square"
    hacker_news = "hacker_news"
    hacker_news_square = "hacker_news_square"
    hackerrank = "hackerrank"
    hamburger = "hamburger"
    hammer = "hammer"
    hamsa = "hamsa"
    hand_holding = "hand_holding"
    hand_holding_heart = "hand_holding_heart"
    hand_holding_medical = "hand_holding_medical"
    hand_holding_usd = "hand_holding_usd"
    hand_holding_water = "hand_holding_water"
    hand_lizard = "hand_lizard"
    hand_middle_finger = "hand_middle_finger"
    hand_paper = "hand_paper"
    hand_peace = "hand_peace"
    hand_point_down = "hand_point_down"
    hand_point_left = "hand_point_left"
    hand_point_right = "hand_point_right"
    hand_point_up = "hand_point_up"
    hand_pointer = "hand_pointer"
    hand_rock = "hand_rock"
    hand_scissors = "hand_scissors"
    hand_sparkles = "hand_sparkles"
    hand_spock = "hand_spock"
    hands = "hands"
    hands_helping = "hands_helping"
    hands_wash = "hands_wash"
    handshake = "handshake"
    handshake_alt_slash = "handshake_alt_slash"
    handshake_slash = "handshake_slash"
    hanukiah = "hanukiah"
    hard_hat = "hard_hat"
    hashtag = "hashtag"
    hat_cowboy = "hat_cowboy"
    hat_cowboy_side = "hat_cowboy_side"
    hat_wizard = "hat_wizard"
    hdd = "hdd"
    head_side_cough = "head_side_cough"
    head_side_cough_slash = "head_side_cough_slash"
    head_side_mask = "head_side_mask"
    head_side_virus = "head_side_virus"
    heading = "heading"
    headphones = "headphones"
    headphones_alt = "headphones_alt"
    headset = "headset"
    heart = "heart"
    heart_broken = "heart_broken"
    heartbeat = "heartbeat"
    helicopter = "helicopter"
    highlighter = "highlighter"
    hiking = "hiking"
    hippo = "hippo"
    hips = "hips"
    hire_a_helper = "hire_a_helper"
    history = "history"
    hive = "hive"
    hockey_puck = "hockey_puck"
    holly_berry = "holly_berry"
    home = "home"
    hooli = "hooli"
    hornbill = "hornbill"
    horse = "horse"
    horse_head = "horse_head"
    hospital = "hospital"
    hospital_alt = "hospital_alt"
    hospital_symbol = "hospital_symbol"
    hospital_user = "hospital_user"
    hot_tub = "hot_tub"
    hotdog = "hotdog"
    hotel = "hotel"
    hotjar = "hotjar"
    hourglass = "hourglass"
    hourglass_end = "hourglass_end"
    hourglass_half = "hourglass_half"
    hourglass_start = "hourglass_start"
    house_damage = "house_damage"
    house_user = "house_user"
    houzz = "houzz"
    hryvnia = "hryvnia"
    html5 = "html5"
    hubspot = "hubspot"
    i_cursor = "i_cursor"
    ice_cream = "ice_cream"
    icicles = "icicles"
    icons = "icons"
    id_badge = "id_badge"
    id_card = "id_card"
    id_card_alt = "id_card_alt"
    ideal = "ideal"
    igloo = "igloo"
    image = "image"
    images = "images"
    imdb = "imdb"
    inbox = "inbox"
    indent = "indent"
    index = "index"
    industry = "industry"
    infinity = "infinity"
    info = "info"
    info_circle = "info_circle"
    innosoft = "innosoft"
    instagram = "instagram"
    instagram_square = "instagram_square"
    instalod = "instalod"
    intercom = "intercom"
    internet_explorer = "internet_explorer"
    invision = "invision"
    ioxhost = "ioxhost"
    italic = "italic"
    itch_io = "itch_io"
    itunes = "itunes"
    itunes_note = "itunes_note"
    java = "java"
    jedi = "jedi"
    jedi_order = "jedi_order"
    jenkins = "jenkins"
    jira = "jira"
    joget = "joget"
    joint = "joint"
    joomla = "joomla"
    journal_whills = "journal_whills"
    js = "js"
    js_square = "js_square"
    jsfiddle = "jsfiddle"
    kaaba = "kaaba"
    kaggle = "kaggle"
    key = "key"
    keybase = "keybase"
    keyboard = "keyboard"
    keycdn = "keycdn"
    khanda = "khanda"
    kickstarter = "kickstarter"
    kickstarter_k = "kickstarter_k"
    kiss = "kiss"
    kiss_beam = "kiss_beam"
    kiss_wink_heart = "kiss_wink_heart"
    kiwi_bird = "kiwi_bird"
    korvue = "korvue"
    landmark = "landmark"
    language = "language"
    laptop = "laptop"
    laptop_code = "laptop_code"
    laptop_house = "laptop_house"
    laptop_medical = "laptop_medical"
    laravel = "laravel"
    lastfm = "lastfm"
    lastfm_square = "lastfm_square"
    laugh = "laugh"
    laugh_beam = "laugh_beam"
    laugh_squint = "laugh_squint"
    laugh_wink = "laugh_wink"
    layer_group = "layer_group"
    leaf = "leaf"
    leanpub = "leanpub"
    lemon = "lemon"
    less = "less"
    less_than = "less_than"
    less_than_equal = "less_than_equal"
    level_down_alt = "level_down_alt"
    level_up_alt = "level_up_alt"
    life_ring = "life_ring"
    lightbulb = "lightbulb"
    line = "line"
    link = "link"
    linkedin = "linkedin"
    linkedin_in = "linkedin_in"
    linode = "linode"
    linux = "linux"
    lira_sign = "lira_sign"
    list = "list"
    list_alt = "list_alt"
    list_ol = "list_ol"
    list_ul = "list_ul"
    location_arrow = "location_arrow"
    lock = "lock"
    lock_open = "lock_open"
    long_arrow_alt_down = "long_arrow_alt_down"
    long_arrow_alt_left = "long_arrow_alt_left"
    long_arrow_alt_right = "long_arrow_alt_right"
    long_arrow_alt_up = "long_arrow_alt_up"
    low_vision = "low_vision"
    luggage_cart = "luggage_cart"
    lungs = "lungs"
    lungs_virus = "lungs_virus"
    lyft = "lyft"
    magento = "magento"
    magic = "magic"
    magnet = "magnet"
    mail_bulk = "mail_bulk"
    mailchimp = "mailchimp"
    male = "male"
    mandalorian = "mandalorian"
    map = "map"
    map_marked = "map_marked"
    map_marked_alt = "map_marked_alt"
    map_marker = "map_marker"
    map_marker_alt = "map_marker_alt"
    map_pin = "map_pin"
    map_signs = "map_signs"
    markdown = "markdown"
    marker = "marker"
    mars = "mars"
    mars_double = "mars_double"
    mars_stroke = "mars_stroke"
    mars_stroke_h = "mars_stroke_h"
    mars_stroke_v = "mars_stroke_v"
    mask = "mask"
    mastodon = "mastodon"
    maxcdn = "maxcdn"
    mdb = "mdb"
    medal = "medal"
    medapps = "medapps"
    medium = "medium"
    medium_m = "medium_m"
    medkit = "medkit"
    medrt = "medrt"
    meetup = "meetup"
    megaport = "megaport"
    meh = "meh"
    meh_blank = "meh_blank"
    meh_rolling_eyes = "meh_rolling_eyes"
    memory = "memory"
    mendeley = "mendeley"
    menorah = "menorah"
    mercury = "mercury"
    meteor = "meteor"
    microblog = "microblog"
    microchip = "microchip"
    microphone = "microphone"
    microphone_alt = "microphone_alt"
    microphone_alt_slash = "microphone_alt_slash"
    microphone_slash = "microphone_slash"
    microscope = "microscope"
    microsoft = "microsoft"
    minus = "minus"
    minus_circle = "minus_circle"
    minus_square = "minus_square"
    mitten = "mitten"
    mix = "mix"
    mixcloud = "mixcloud"
    mixer = "mixer"
    mizuni = "mizuni"
    mobile = "mobile"
    mobile_alt = "mobile_alt"
    modx = "modx"
    monero = "monero"
    money_bill = "money_bill"
    money_bill_alt = "money_bill_alt"
    money_bill_wave = "money_bill_wave"
    money_bill_wave_alt = "money_bill_wave_alt"
    money_check = "money_check"
    money_check_alt = "money_check_alt"
    monument = "monument"
    moon = "moon"
    mortar_pestle = "mortar_pestle"
    mosque = "mosque"
    motorcycle = "motorcycle"
    mountain = "mountain"
    mouse = "mouse"
    mouse_pointer = "mouse_pointer"
    mug_hot = "mug_hot"
    music = "music"
    napster = "napster"
    neos = "neos"
    network_wired = "network_wired"
    neuter = "neuter"
    newspaper = "newspaper"
    nimblr = "nimblr"
    node = "node"
    node_js = "node_js"
    not_equal = "not_equal"
    notes_medical = "notes_medical"
    npm = "npm"
    ns8 = "ns8"
    nutritionix = "nutritionix"
    object_group = "object_group"
    object_ungroup = "object_ungroup"
    octopus_deploy = "octopus_deploy"
    odnoklassniki = "odnoklassniki"
    odnoklassniki_square = "odnoklassniki_square"
    oil_can = "oil_can"
    old_republic = "old_republic"
    om = "om"
    opencart = "opencart"
    openid = "openid"
    opera = "opera"
    optin_monster = "optin_monster"
    orcid = "orcid"
    osi = "osi"
    otter = "otter"
    outdent = "outdent"
    page4 = "page4"
    pagelines = "pagelines"
    pager = "pager"
    paint_brush = "paint_brush"
    paint_roller = "paint_roller"
    palette = "palette"
    palfed = "palfed"
    pallet = "pallet"
    paper_plane = "paper_plane"
    paperclip = "paperclip"
    parachute_box = "parachute_box"
    paragraph = "paragraph"
    parking = "parking"
    passport = "passport"
    pastafarianism = "pastafarianism"
    paste = "paste"
    patreon = "patreon"
    pause = "pause"
    pause_circle = "pause_circle"
    paw = "paw"
    paypal = "paypal"
    peace = "peace"
    pen = "pen"
    pen_alt = "pen_alt"
    pen_fancy = "pen_fancy"
    pen_nib = "pen_nib"
    pen_square = "pen_square"
    pencil_alt = "pencil_alt"
    pencil_ruler = "pencil_ruler"
    penny_arcade = "penny_arcade"
    people_arrows = "people_arrows"
    people_carry = "people_carry"
    pepper_hot = "pepper_hot"
    perbyte = "perbyte"
    percent = "percent"
    percentage = "percentage"
    periscope = "periscope"
    person_booth = "person_booth"
    phabricator = "phabricator"
    phoenix_framework = "phoenix_framework"
    phoenix_squadron = "phoenix_squadron"
    phone = "phone"
    phone_alt = "phone_alt"
    phone_slash = "phone_slash"
    phone_square = "phone_square"
    phone_square_alt = "phone_square_alt"
    phone_volume = "phone_volume"
    photo_video = "photo_video"
    php = "php"
    pied_piper = "pied_piper"
    pied_piper_alt = "pied_piper_alt"
    pied_piper_hat = "pied_piper_hat"
    pied_piper_pp = "pied_piper_pp"
    pied_piper_square = "pied_piper_square"
    piggy_bank = "piggy_bank"
    pills = "pills"
    pinterest = "pinterest"
    pinterest_p = "pinterest_p"
    pinterest_square = "pinterest_square"
    pizza_slice = "pizza_slice"
    place_of_worship = "place_of_worship"
    plane = "plane"
    plane_arrival = "plane_arrival"
    plane_departure = "plane_departure"
    plane_slash = "plane_slash"
    play = "play"
    play_circle = "play_circle"
    playstation = "playstation"
    plug = "plug"
    plus = "plus"
    plus_circle = "plus_circle"
    plus_square = "plus_square"
    podcast = "podcast"
    poll = "poll"
    poll_h = "poll_h"
    poo = "poo"
    poo_storm = "poo_storm"
    poop = "poop"
    portrait = "portrait"
    pound_sign = "pound_sign"
    power_off = "power_off"
    pray = "pray"
    praying_hands = "praying_hands"
    prescription = "prescription"
    prescription_bottle = "prescription_bottle"
    prescription_bottle_alt = "prescription_bottle_alt"
    print = "print"
    procedures = "procedures"
    product_hunt = "product_hunt"
    project_diagram = "project_diagram"
    pump_medical = "pump_medical"
    pump_soap = "pump_soap"
    pushed = "pushed"
    puzzle_piece = "puzzle_piece"
    python = "python"
    qq = "qq"
    qrcode = "qrcode"
    question = "question"
    question_circle = "question_circle"
    quidditch = "quidditch"
    quinscape = "quinscape"
    quora = "quora"
    quote_left = "quote_left"
    quote_right = "quote_right"
    quran = "quran"
    r_project = "r_project"
    radiation = "radiation"
    radiation_alt = "radiation_alt"
    rainbow = "rainbow"
    random = "random"
    raspberry_pi = "raspberry_pi"
    ravelry = "ravelry"
    react = "react"
    reacteurope = "reacteurope"
    readme = "readme"
    rebel = "rebel"
    receipt = "receipt"
    record_vinyl = "record_vinyl"
    recycle = "recycle"
    red_river = "red_river"
    reddit = "reddit"
    reddit_alien = "reddit_alien"
    reddit_square = "reddit_square"
    redhat = "redhat"
    redo = "redo"
    redo_alt = "redo_alt"
    registered = "registered"
    remove_format = "remove_format"
    renren = "renren"
    reply = "reply"
    reply_all = "reply_all"
    replyd = "replyd"
    republican = "republican"
    researchgate = "researchgate"
    resolving = "resolving"
    restroom = "restroom"
    retweet = "retweet"
    rev = "rev"
    ribbon = "ribbon"
    ring = "ring"
    road = "road"
    robot = "robot"
    rocket = "rocket"
    rocketchat = "rocketchat"
    rockrms = "rockrms"
    route = "route"
    rss = "rss"
    rss_square = "rss_square"
    ruble_sign = "ruble_sign"
    ruler = "ruler"
    ruler_combined = "ruler_combined"
    ruler_horizontal = "ruler_horizontal"
    ruler_vertical = "ruler_vertical"
    running = "running"
    rupee_sign = "rupee_sign"
    rust = "rust"
    sad_cry = "sad_cry"
    sad_tear = "sad_tear"
    safari = "safari"
    salesforce = "salesforce"
    sass = "sass"
    satellite = "satellite"
    satellite_dish = "satellite_dish"
    save = "save"
    schlix = "schlix"
    school = "school"
    screwdriver = "screwdriver"
    scribd = "scribd"
    scroll = "scroll"
    sd_card = "sd_card"
    search = "search"
    search_dollar = "search_dollar"
    search_location = "search_location"
    search_minus = "search_minus"
    search_plus = "search_plus"
    searchengin = "searchengin"
    seedling = "seedling"
    sellcast = "sellcast"
    sellsy = "sellsy"
    server = "server"
    servicestack = "servicestack"
    shapes = "shapes"
    share = "share"
    share_alt = "share_alt"
    share_alt_square = "share_alt_square"
    share_square = "share_square"
    shekel_sign = "shekel_sign"
    shield_alt = "shield_alt"
    shield_virus = "shield_virus"
    ship = "ship"
    shipping_fast = "shipping_fast"
    shirtsinbulk = "shirtsinbulk"
    shoe_prints = "shoe_prints"
    shopify = "shopify"
    shopping_bag = "shopping_bag"
    shopping_basket = "shopping_basket"
    shopping_cart = "shopping_cart"
    shopware = "shopware"
    shower = "shower"
    shuttle_van = "shuttle_van"
    sign = "sign"
    sign_in_alt = "sign_in_alt"
    sign_language = "sign_language"
    sign_out_alt = "sign_out_alt"
    signal = "signal"
    signature = "signature"
    sim_card = "sim_card"
    simplybuilt = "simplybuilt"
    sink = "sink"
    sistrix = "sistrix"
    sitemap = "sitemap"
    sith = "sith"
    skating = "skating"
    sketch = "sketch"
    skiing = "skiing"
    skiing_nordic = "skiing_nordic"
    skull = "skull"
    skull_crossbones = "skull_crossbones"
    skyatlas = "skyatlas"
    skype = "skype"
    slack = "slack"
    slack_hash = "slack_hash"
    slash = "slash"
    sleigh = "sleigh"
    sliders_h = "sliders_h"
    slideshare = "slideshare"
    smile = "smile"
    smile_beam = "smile_beam"
    smile_wink = "smile_wink"
    smog = "smog"
    smoking = "smoking"
    smoking_ban = "smoking_ban"
    sms = "sms"
    snapchat = "snapchat"
    snapchat_ghost = "snapchat_ghost"
    snapchat_square = "snapchat_square"
    snowboarding = "snowboarding"
    snowflake = "snowflake"
    snowman = "snowman"
    snowplow = "snowplow"
    soap = "soap"
    socks = "socks"
    solar_panel = "solar_panel"
    sort = "sort"
    sort_alpha_down = "sort_alpha_down"
    sort_alpha_down_alt = "sort_alpha_down_alt"
    sort_alpha_up = "sort_alpha_up"
    sort_alpha_up_alt = "sort_alpha_up_alt"
    sort_amount_down = "sort_amount_down"
    sort_amount_down_alt = "sort_amount_down_alt"
    sort_amount_up = "sort_amount_up"
    sort_amount_up_alt = "sort_amount_up_alt"
    sort_down = "sort_down"
    sort_numeric_down = "sort_numeric_down"
    sort_numeric_down_alt = "sort_numeric_down_alt"
    sort_numeric_up = "sort_numeric_up"
    sort_numeric_up_alt = "sort_numeric_up_alt"
    sort_up = "sort_up"
    soundcloud = "soundcloud"
    sourcetree = "sourcetree"
    spa = "spa"
    space_shuttle = "space_shuttle"
    speakap = "speakap"
    speaker_deck = "speaker_deck"
    spell_check = "spell_check"
    spider = "spider"
    spinner = "spinner"
    splotch = "splotch"
    spotify = "spotify"
    spray_can = "spray_can"
    square = "square"
    square_full = "square_full"
    square_root_alt = "square_root_alt"
    squarespace = "squarespace"
    stack_exchange = "stack_exchange"
    stack_overflow = "stack_overflow"
    stackpath = "stackpath"
    stamp = "stamp"
    star = "star"
    star_and_crescent = "star_and_crescent"
    star_half = "star_half"
    star_half_alt = "star_half_alt"
    star_of_david = "star_of_david"
    star_of_life = "star_of_life"
    staylinked = "staylinked"
    steam = "steam"
    steam_square = "steam_square"
    steam_symbol = "steam_symbol"
    step_backward = "step_backward"
    step_forward = "step_forward"
    stethoscope = "stethoscope"
    sticker_mule = "sticker_mule"
    sticky_note = "sticky_note"
    stop = "stop"
    stop_circle = "stop_circle"
    stopwatch = "stopwatch"
    stopwatch_20 = "stopwatch_20"
    store = "store"
    store_alt = "store_alt"
    store_alt_slash = "store_alt_slash"
    store_slash = "store_slash"
    strava = "strava"
    stream = "stream"
    street_view = "street_view"
    strikethrough = "strikethrough"
    stripe = "stripe"
    stripe_s = "stripe_s"
    stroopwafel = "stroopwafel"
    studiovinari = "studiovinari"
    stumbleupon = "stumbleupon"
    stumbleupon_circle = "stumbleupon_circle"
    subscript = "subscript"
    subway = "subway"
    suitcase = "suitcase"
    suitcase_rolling = "suitcase_rolling"
    sun = "sun"
    superpowers = "superpowers"
    superscript = "superscript"
    supple = "supple"
    surprise = "surprise"
    suse = "suse"
    swatchbook = "swatchbook"
    swift = "swift"
    swimmer = "swimmer"
    swimming_pool = "swimming_pool"
    symfony = "symfony"
    synagogue = "synagogue"
    sync = "sync"
    sync_alt = "sync_alt"
    syringe = "syringe"
    table = "table"
    table_tennis = "table_tennis"
    tablet = "tablet"
    tablet_alt = "tablet_alt"
    tablets = "tablets"
    tachometer_alt = "tachometer_alt"
    tag = "tag"
    tags = "tags"
    tape = "tape"
    tasks = "tasks"
    taxi = "taxi"
    teamspeak = "teamspeak"
    teeth = "teeth"
    teeth_open = "teeth_open"
    telegram = "telegram"
    telegram_plane = "telegram_plane"
    temperature_high = "temperature_high"
    temperature_low = "temperature_low"
    tencent_weibo = "tencent_weibo"
    tenge = "tenge"
    terminal = "terminal"
    text_height = "text_height"
    text_width = "text_width"
    th = "th"
    th_large = "th_large"
    th_list = "th_list"
    the_red_yeti = "the_red_yeti"
    theater_masks = "theater_masks"
    themeco = "themeco"
    themeisle = "themeisle"
    thermometer = "thermometer"
    thermometer_empty = "thermometer_empty"
    thermometer_full = "thermometer_full"
    thermometer_half = "thermometer_half"
    thermometer_quarter = "thermometer_quarter"
    thermometer_three_quarters = "thermometer_three_quarters"
    think_peaks = "think_peaks"
    thumbs_down = "thumbs_down"
    thumbs_up = "thumbs_up"
    thumbtack = "thumbtack"
    ticket_alt = "ticket_alt"
    tiktok = "tiktok"
    times = "times"
    times_circle = "times_circle"
    tint = "tint"
    tint_slash = "tint_slash"
    tired = "tired"
    toggle_off = "toggle_off"
    toggle_on = "toggle_on"
    toilet = "toilet"
    toilet_paper = "toilet_paper"
    toilet_paper_slash = "toilet_paper_slash"
    toolbox = "toolbox"
    tools = "tools"
    tooth = "tooth"
    torah = "torah"
    torii_gate = "torii_gate"
    tractor = "tractor"
    trade_federation = "trade_federation"
    trademark = "trademark"
    traffic_light = "traffic_light"
    trailer = "trailer"
    train = "train"
    tram = "tram"
    transgender = "transgender"
    transgender_alt = "transgender_alt"
    trash = "trash"
    trash_alt = "trash_alt"
    trash_restore = "trash_restore"
    trash_restore_alt = "trash_restore_alt"
    tree = "tree"
    trello = "trello"
    tripadvisor = "tripadvisor"
    trophy = "trophy"
    truck = "truck"
    truck_loading = "truck_loading"
    truck_monster = "truck_monster"
    truck_moving = "truck_moving"
    truck_pickup = "truck_pickup"
    tshirt = "tshirt"
    tty = "tty"
    tumblr = "tumblr"
    tumblr_square = "tumblr_square"
    tv = "tv"
    twitch = "twitch"
    twitter = "twitter"
    twitter_square = "twitter_square"
    typo3 = "typo3"
    uber = "uber"
    ubuntu = "ubuntu"
    uikit = "uikit"
    umbraco = "umbraco"
    umbrella = "umbrella"
    umbrella_beach = "umbrella_beach"
    uncharted = "uncharted"
    underline = "underline"
    undo = "undo"
    undo_alt = "undo_alt"
    uniregistry = "uniregistry"
    unity = "unity"
    universal_access = "universal_access"
    university = "university"
    unlink = "unlink"
    unlock = "unlock"
    unlock_alt = "unlock_alt"
    unsplash = "unsplash"
    untappd = "untappd"
    upload = "upload"
    ups = "ups"
    usb = "usb"
    user = "user"
    user_alt = "user_alt"
    user_alt_slash = "user_alt_slash"
    user_astronaut = "user_astronaut"
    user_check = "user_check"
    user_circle = "user_circle"
    user_clock = "user_clock"
    user_cog = "user_cog"
    user_edit = "user_edit"
    user_friends = "user_friends"
    user_graduate = "user_graduate"
    user_injured = "user_injured"
    user_lock = "user_lock"
    user_md = "user_md"
    user_minus = "user_minus"
    user_ninja = "user_ninja"
    user_nurse = "user_nurse"
    user_plus = "user_plus"
    user_secret = "user_secret"
    user_shield = "user_shield"
    user_slash = "user_slash"
    user_tag = "user_tag"
    user_tie = "user_tie"
    user_times = "user_times"
    users = "users"
    users_cog = "users_cog"
    users_slash = "users_slash"
    usps = "usps"
    ussunnah = "ussunnah"
    utensil_spoon = "utensil_spoon"
    utensils = "utensils"
    vaadin = "vaadin"
    vector_square = "vector_square"
    venus = "venus"
    venus_double = "venus_double"
    venus_mars = "venus_mars"
    vest = "vest"
    vest_patches = "vest_patches"
    viacoin = "viacoin"
    viadeo = "viadeo"
    viadeo_square = "viadeo_square"
    vial = "vial"
    vials = "vials"
    viber = "viber"
    video = "video"
    video_slash = "video_slash"
    vihara = "vihara"
    vimeo = "vimeo"
    vimeo_square = "vimeo_square"
    vimeo_v = "vimeo_v"
    vine = "vine"
    virus = "virus"
    virus_slash = "virus_slash"
    viruses = "viruses"
    vk = "vk"
    vnv = "vnv"
    voicemail = "voicemail"
    volleyball_ball = "volleyball_ball"
    volume_down = "volume_down"
    volume_mute = "volume_mute"
    volume_off = "volume_off"
    volume_up = "volume_up"
    vote_yea = "vote_yea"
    vr_cardboard = "vr_cardboard"
    vuejs = "vuejs"
    walking = "walking"
    wallet = "wallet"
    warehouse = "warehouse"
    watchman_monitoring = "watchman_monitoring"
    water = "water"
    wave_square = "wave_square"
    waze = "waze"
    weebly = "weebly"
    weibo = "weibo"
    weight = "weight"
    weight_hanging = "weight_hanging"
    weixin = "weixin"
    whatsapp = "whatsapp"
    whatsapp_square = "whatsapp_square"
    wheelchair = "wheelchair"
    whmcs = "whmcs"
    wifi = "wifi"
    wikipedia_w = "wikipedia_w"
    wind = "wind"
    window_close = "window_close"
    window_maximize = "window_maximize"
    window_minimize = "window_minimize"
    window_restore = "window_restore"
    windows = "windows"
    wine_bottle = "wine_bottle"
    wine_glass = "wine_glass"
    wine_glass_alt = "wine_glass_alt"
    wix = "wix"
    wizards_of_the_coast = "wizards_of_the_coast"
    wodu = "wodu"
    wolf_pack_battalion = "wolf_pack_battalion"
    won_sign = "won_sign"
    wordpress = "wordpress"
    wordpress_simple = "wordpress_simple"
    wpbeginner = "wpbeginner"
    wpexplorer = "wpexplorer"
    wpforms = "wpforms"
    wpressr = "wpressr"
    wrench = "wrench"
    x_ray = "x_ray"
    xbox = "xbox"
    xing = "xing"
    xing_square = "xing_square"
    y_combinator = "y_combinator"
    yahoo = "yahoo"
    yammer = "yammer"
    yandex = "yandex"
    yandex_international = "yandex_international"
    yarn = "yarn"
    yelp = "yelp"
    yen_sign = "yen_sign"
    yin_yang = "yin_yang"
    yoast = "yoast"
    youtube = "youtube"
    youtube_square = "youtube_square"
    zhihu = "zhihu"
